Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006202TestLinkAPI - XMLRPCpublic2014-02-13 16:192014-04-25 17:38
Reporterlczub 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006202: assignRequirements() calls assign_to_tcase() without author_id argument
Descriptionxml-rpc api method assignRequirements() calls assign_to_tcase() only with two arguments
   $this->reqMgr->assign_to_tcase($req_id,$tcase_id);
but three arguments are required in lib/functions/requirement_mgr.class.php
   assign_to_tcase($req_id,$testcase_id,$author_id)

Problem exist with TL 1.9.9 and latest TL 1.9.10-Gitorious code (commit 0499f86)
Additional Informationcalling the xml-rpc api method assignRequirements() produces following error message in the TestLink userlog files:

[>>][52fced458a4b2047365068][DEFAULT][/testlink/lib/api/xmlrpc/v1/xmlrpc.php][14/Feb/13 16:05:25]
        [14/Feb/13 16:05:27][WARNING][<nosession>][GUI]
                E_WARNING
Missing argument 3 for requirement_mgr::assign_to_tcase(), called in /usr/local/www/testlink-git/lib/api/xmlrpc/v1/xmlrpc.class.php on line 3025 and defined - in /usr/local/www/testlink-git/lib/functions/requirement_mgr.class.php - Line 986
        [14/Feb/13 16:05:27][WARNING][<nosession>][GUI]
                E_NOTICE
Undefined variable: author_id - in /usr/local/www/testlink-git/lib/functions/requirement_mgr.class.php - Line 1007
        [14/Feb/13 16:05:27][WARNING][<nosession>][GUI]
                E_WARNING
pg_query(): Query failed: FEHLER: Syntaxfehler bei »,«
LINE 1: ...tcase_id,author_id,creation_ts) VALUES (6731,6666,,'2014-02-...
                                                             ^ - in /usr/local/www/testlink-git/third_party/adodb/drivers/adodb-postgres7.inc.php - Line 167
        [14/Feb/13 16:05:27][ERROR][<nosession>][DATABASE]
                ERROR ON exec_query() - database.class.php
-1 - FEHLER: Syntaxfehler bei »,«
LINE 1: ...tcase_id,author_id,creation_ts) VALUES (6731,6666,,'2014-02-...
                                                             ^ - INSERT INTO req_coverage (req_id,testcase_id,author_id,creation_ts) VALUES (6731,6666,,'2014-02-13 17:05:27')
THE MESSAGE : INSERT INTO req_coverage (req_id,testcase_id,author_id,creation_ts) VALUES (6731,6666,,'2014-02-13 17:05:27')
Query failed: errorcode[-1]
        errormsg:FEHLER: Syntaxfehler bei »,«
LINE 1: ...tcase_id,author_id,creation_ts) VALUES (6731,6666,,'2014-02-...
                                                             ^
TagsNo tags attached.
Database (MySQL,Postgres,etc)PostgreSQL 9.2.6
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020450)
fman (administrator)
2014-02-14 21:20

https://gitorious.org/testlink-ga/testlink-code/commit/7212bf53150e05270fcc304bea7f8253a0221edd [^]
(0020834)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-02-13 16:19 lczub New Issue
2014-02-14 21:20 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-02-14 21:20 fman Note Added: 0020450
2014-02-14 21:20 fman Status new => resolved
2014-02-14 21:20 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-02-14 21:20 fman Resolution open => fixed
2014-02-14 21:20 fman Assigned To => fman
2014-02-14 21:21 fman Relationship added child of 0006048
2014-04-25 17:38 fman Note Added: 0020834
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker